创新路
我们一直在努力

Centos 6.6 升级openSSH 远程访问版本(5.3升级7.0源码安装版)

由于服务器Openssh 版本过低,存在不安全因素,所以最近想把服务器都进行升级:

查看当前系统版本为6.6,openssh为5.3版本,此版本启用默认是开启了root远程功能的,因此我能直接通过ROOT进行远程访问。

wKioL1l-69mBYJPjAAAVzAlrpGg462.png

话不多说,直接上传下载的OPENSSL7.0版本压缩包,需要的可以到http://www.openssh.com官网下载

wKiom1l-69rB-TfyAADFnzwn6sI093.png

上传后解压,tar zxf openssh-7.0p1.ta.gz ,然后进cd openssh-7.01p1 目录。

wKioL1l-69ri5dexAAAfpFvDc9Y002.png

./configure –prefix=/usr –sysconfdir=/etc/ssh

wKioL1l-69vBU1kgAAAdjEb6wHU146.png

配置的时候报错了,mygod 系统还没安装GCC编译器。

wKiom1l-69uR9sXjAAAqtxb6Dhw823.png

那么我们先yum 安装吧,yum install -y gcc

wKioL1l-69zgnstwAABB4miKD3E682.png

安装完成后我们继续配置测试,又报错了,看下缺少什么东东

wKiom1l-69ySGgn9AAA8MqSFMaM376.png

好吧,继续补上, yum install zlib-devel

wKioL1l-69zSt7lBAAAs_FaOCvA785.png

yes,GO ON 继续配置

wKiom1l-693Q_8HnAAAtRX4he_o691.png

又报错了,看下还缺什么!!

wKiom1l-693Cio1ZAABCFYloYa0384.png

补上,yum install openssh-devel

wKioL1l-697zIjCgAAA7GeEUq6A232.png

yes ,配置通过了。

wKioL1l-696iGKVLAABQjIWE6Mk540.png

接着,编译:make

wKiom1l-696giN0IAAA3ryLeJxE905.png

编译安装:make install

wKioL1l-69_DBYg_AABuaDS5Hgc517.png

成功了,有几个提示,不过不影响功能使用,可以正常启动,提示新版没提供这几项。

wKiom1l-69-inc2uAAAu34dYUCU864.png

重启服务:/etc/init.d/sshd    restart

wKioL1l-6-GRRduUAAA5v0wam18968.png

试下ROOT用户登陆:提示不成功。

wKioL1l-6-Dy_hJjAABgFnIm43Q744.png

使用普通用户登陆:成功了。

wKiom1l-6-CCQ4bbAABRk3ZFU1s320.png

因此默认OPENSSH 升级7.0默认是不允许ROOT登陆的(这样更安全拉)

wKioL1l-6-DBW_XMAAAwrwf5UkA727.png

如果需要开启可以修改配置文件选项, PERMITROOTLOGIN YES 把前面注释取掉。

wKiom1l-6-HiP6KMAAAxTCYQ8SQ209.png

再试下ROOT登陆成功(不建议开启ROOT远程访问,可以使用普通用户然后再进行SU 提权或使用sudo)。

wKioL1l-6-LTfUrHAAAmvMEmLbc166.png

客官点个赞呗! (0)
分享到:

评论 抢沙发

评论前必须登录!

天府云博 - 做有态度的开发&运维&设计学习分享平台!

联系我们百度云主机